Package Scientific :: Package QtWidgets :: Module QtPlotCanvas :: Class HorizontalLine

[frames] | no frames]

# Class HorizontalLine

    PolyPoints --+
                 |
          PolyLine --+
                     |
                    HorizontalLine

A horizontal line

Instance Methods

__init__(self, ypos, **attr) |

draw(self, canvas, bbox) |

writeToFile(self, file, separator) |

Inherited from `PolyPoints`: `boundingBox`, `scaleAndShift`

Method Details

### __init__(self, ypos, **attr)
(Constructor)

Parameters:
  - `ypos` (`float`) - the y coordinate of the line
  - `attr` - line attributes
  - `width` - the line width (default: 1)
  - `color` - a string whose value is one of the color names defined by X-Windows (default: `"black"`)
  - `style` - a Qt pen style object (default: Qt.SolidLine)
Overrides: PolyPoints.__init__

### draw(self, canvas, bbox)

Overrides: PolyLine.draw

### writeToFile(self, file, separator)

Overrides: PolyPoints.writeToFile